public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ian Whyman" <thev00d00@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/handbrake/
Date: Thu, 25 Oct 2018 18:34:34 +0000 (UTC)	[thread overview]
Message-ID: <1540492465.1340cf0c06d0b471a45d586aae1b6800166dd502.thev00d00@gentoo> (raw)

commit:     1340cf0c06d0b471a45d586aae1b6800166dd502
Author:     Ian Whyman <thev00d00 <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 25 18:34:25 2018 +0000
Commit:     Ian Whyman <thev00d00 <AT> gentoo <DOT> org>
CommitDate: Thu Oct 25 18:34:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1340cf0c

media-video/handbrake: bump

Signed-off-by: Ian Whyman <thev00d00 <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-video/handbrake/Manifest               |   1 +
 media-video/handbrake/handbrake-1.1.2.ebuild | 158 +++++++++++++++++++++++++++
 2 files changed, 159 insertions(+)

diff --git a/media-video/handbrake/Manifest b/media-video/handbrake/Manifest
index 9bd0e845dc8..746c12fa747 100644
--- a/media-video/handbrake/Manifest
+++ b/media-video/handbrake/Manifest
@@ -1,2 +1,3 @@
 DIST handbrake-1.1.0.tar.bz2 15262590 BLAKE2B b2f892c57cd562124460ac2846949bd0ce05eff0b87fbd733d7102eeda9455f57997fb0bbd72d991d0f2d8ab3f02e6f82d88a0449158c3a947595f50198eb4bd SHA512 48cbbc57e93e74a8aa3d224311f5d97905061e103c3ecb07aa5e09d8f401687679cac0e8952e146fea0fad5d00e6c26fe90159c11e87b8b413469abbe900edc3
 DIST handbrake-1.1.1.tar.bz2 15319551 BLAKE2B d0569a796f3838f5696e3dcfed348a5111e063841cb594bbce7283568cdf868e6b751f3cd6086ebc83af5f2d6ad9e238717425f953677cca9e2908a9c0301aa9 SHA512 990035a5f850fafbc68c77dd61d7f7371c3eda2cc6e6ceb377f111c9016713523cf1685f519926ae8859446c99392c64b7ce91d72f9b5f9643a35a3d0326eef4
+DIST handbrake-1.1.2.tar.bz2 15291003 BLAKE2B b502ba18139c3332b8614e831005b4a846c0fab9a31bce2c9f3481d6d41ba3f087ded30adb6bd58220b14002f230fb920db1cc45ec7baee4fda573148fddfc8e SHA512 360f7fe3e4571bb623f54a00e9478a78d655448ffb1b8d72b7d32636a230f2ae4dabbfe803f6f9491537064ea4f6e238700b3d29912ae34383fbb1922e18e9b8

diff --git a/media-video/handbrake/handbrake-1.1.2.ebuild b/media-video/handbrake/handbrake-1.1.2.ebuild
new file mode 100644
index 00000000000..6e3559d14f9
--- /dev/null
+++ b/media-video/handbrake/handbrake-1.1.2.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils gnome2-utils python-any-r1 xdg-utils
+
+if [[ ${PV} = *9999* ]]; then
+	EGIT_REPO_URI="https://github.com/HandBrake/HandBrake.git"
+	inherit git-r3
+	KEYWORDS=""
+else
+	MY_P="HandBrake-${PV}"
+	SRC_URI="https://download2.handbrake.fr/${PV}/${MY_P}-source.tar.bz2 -> ${P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Open-source, GPL-licensed, multiplatform, multithreaded video transcoder"
+HOMEPAGE="http://handbrake.fr/"
+LICENSE="GPL-2"
+
+SLOT="0"
+IUSE="+fdk gstreamer gtk libav libav-aac x265"
+
+REQUIRED_USE="^^ ( fdk libav-aac )"
+
+RDEPEND="
+	dev-libs/jansson
+	media-libs/a52dec
+	media-libs/libass:=
+	>=media-libs/libbluray-1.0
+	media-libs/libdvdnav
+	media-libs/libdvdread
+	media-libs/libsamplerate
+	media-libs/libtheora
+	media-libs/libvorbis
+	media-libs/libvpx
+	media-libs/opus
+	media-libs/x264:=
+	media-sound/lame
+	sys-libs/zlib
+	libav? ( >=media-video/libav-12.2:0=[fdk?] )
+	!libav? ( >=media-video/ffmpeg-3.4:0=[fdk?] )
+	gstreamer? (
+		media-libs/gstreamer:1.0
+		media-libs/gst-plugins-base:1.0
+		media-libs/gst-plugins-good:1.0
+		media-libs/gst-plugins-bad:1.0
+		media-libs/gst-plugins-ugly:1.0
+		media-plugins/gst-plugins-a52dec:1.0
+		media-plugins/gst-plugins-libav:1.0
+		media-plugins/gst-plugins-x264:1.0
+	)
+	gtk? (
+		>=x11-libs/gtk+-3.10
+		dev-libs/dbus-glib
+		dev-libs/glib:2
+		x11-libs/cairo
+		x11-libs/gdk-pixbuf:2
+		x11-libs/libnotify
+		x11-libs/pango
+		virtual/libgudev:=
+	)
+	fdk? ( media-libs/fdk-aac )
+	x265? ( >=media-libs/x265-1.7:0= )
+	"
+
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	dev-lang/yasm
+	dev-util/intltool
+	sys-devel/automake"
+
+PATCHES=(
+	# Remove libdvdnav duplication and call it on the original instead.
+	# It may work this way; if not, we should try to mimic the duplication.
+	"${FILESDIR}/${PN}-9999-remove-dvdnav-dup.patch"
+
+	# Remove faac dependency; TODO: figure out if we need to do this at all.
+	"${FILESDIR}/${PN}-9999-remove-faac-dependency.patch"
+
+	# Fix missing x265 link flag
+	"${FILESDIR}/${PN}-9999-fix-missing-x265-link-flag.patch"
+)
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	# Get rid of leftover bundled library build definitions,
+	sed -i 's:.*\(/contrib\|contrib/\).*::g' \
+		"${S}"/make/include/main.defs \
+		|| die "Contrib removal failed."
+
+	default
+
+	# Get rid of libav specific code when using ffmpeg
+	use libav || eapply -R "${FILESDIR}/${PN}-1.1.0-nolibav.patch"
+
+	cd "${S}/gtk"
+	# Don't run autogen.sh.
+	sed -i '/autogen.sh/d' module.rules || die "Removing autogen.sh call failed"
+	eautoreconf
+}
+
+src_configure() {
+	./configure \
+		--force \
+		--verbose \
+		--prefix="${EPREFIX}/usr" \
+		--disable-gtk-update-checks \
+		$(use_enable libav-aac) \
+		$(use_enable fdk fdk-aac) \
+		$(use_enable gtk) \
+		$(usex !gstreamer --disable-gst) \
+		$(use_enable x265) || die "Configure failed."
+}
+
+src_compile() {
+	emake -C build
+
+	# TODO: Documentation building is currently broken, try to fix it.
+	#
+	# if use doc ; then
+	# 	emake -C build doc
+	# fi
+}
+
+src_install() {
+	emake -C build DESTDIR="${D}" install
+
+	dodoc README.markdown AUTHORS.markdown NEWS.markdown THANKS.markdown
+}
+
+pkg_postinst() {
+	einfo "For the CLI version of HandBrake, you can use \`HandBrakeCLI\`."
+
+	if use gtk ; then
+		einfo ""
+		einfo "For the GTK+ version of HandBrake, you can run \`ghb\`."
+	fi
+
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


             reply	other threads:[~2018-10-25 18:34 UTC|newest]

Thread overview: 61+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-25 18:34 Ian Whyman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-13  4:55 [gentoo-commits] repo/gentoo:master commit in: media-video/handbrake/ Michał Górny
2024-01-28 22:53 Jonas Stein
2023-09-27 13:22 Joonas Niilola
2023-07-12  7:37 Sam James
2023-07-12  7:37 Sam James
2023-07-12  7:33 Sam James
2023-06-03  5:15 Sam James
2023-06-01  3:27 Sam James
2023-05-06 11:34 Sam James
2023-05-03  4:45 Sam James
2023-04-07 11:44 Sam James
2022-06-20  2:35 Sam James
2022-06-20  2:35 Sam James
2022-06-18 16:54 Agostino Sarubbo
2022-01-16  2:23 Sam James
2022-01-16  2:23 Sam James
2021-12-30  4:42 Sam James
2021-12-29 12:11 Jakov Smolić
2021-10-25  3:52 Sam James
2021-10-24  8:44 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-16  1:24 Sam James
2021-09-25 19:08 Sam James
2021-06-01 14:05 Sam James
2021-05-31 23:19 Sam James
2021-05-31 23:19 Sam James
2021-05-31 23:19 Sam James
2020-09-14 19:31 Michał Górny
2020-05-23  9:51 Ian Whyman
2020-04-26 18:27 Mikle Kolyada
2020-04-19  2:35 Craig Andrews
2019-11-15 20:50 Ian Whyman
2019-03-12 21:55 Ian Whyman
2019-03-09 10:34 Ian Whyman
2018-07-29  8:42 Ian Whyman
2018-05-05 13:30 Ian Whyman
2018-04-15 14:18 Ian Whyman
2017-11-26 23:11 David Seifert
2017-05-12 21:22 Ian Whyman
2017-03-06 17:27 Ian Whyman
2017-03-04 22:35 Ian Whyman
2017-03-04 13:37 Alexis Ballier
2017-01-07  1:22 Lars Wendler
2016-09-27 22:34 Lars Wendler
2016-07-10 14:06 Ian Whyman
2016-05-22 11:28 Ian Whyman
2016-05-22 11:19 Ian Whyman
2016-04-19 21:13 Ian Stakenvicius
2016-03-31 12:45 Lars Wendler
2015-10-11 14:42 Alexis Ballier
2015-08-27 19:24 Ian Whyman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1540492465.1340cf0c06d0b471a45d586aae1b6800166dd502.thev00d00@gentoo \
    --to=thev00d00@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox